/**
 * AD.java
 *
 * File generated from the medication::AD uml Class
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Marshaller;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlElementRefs;
import javax.xml.bind.annotation.XmlMixed;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;
import javax.xml.bind.annotation.XmlType;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;

import org.w3c.dom.Document;
import org.w3c.dom.Node;

import net.ihe.gazelle.gen.common.ConstraintValidatorModule;


/**
 * Description of the class AD.
 *
 * 
 */

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AD", propOrder = {
	"mixed",
	"isNotOrdered",
	"use"
})
@XmlRootElement(name = "AD")
public class AD extends net.ihe.gazelle.medication.ANY implements java.io.Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	
	@XmlElementRefs({
			@XmlElementRef(name = "delimiter", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "country", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "state", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "county", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "city", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "postalCode", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "streetAddressLine", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "houseNumber", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "houseNumberNumeric", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "direction", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "streetName", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "streetNameBase", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "streetNameType", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "additionalLocator", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "unitID", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "unitType", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "careOf", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "censusTract", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "deliveryAddressLine", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "deliveryInstallationType", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "deliveryInstallationArea", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "deliveryInstallationQualifier", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "deliveryMode", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "deliveryModeIdentifier", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "buildingNumberSuffix", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "postBox", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "precinct", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class),
			@XmlElementRef(name = "useablePeriod", namespace = "urn:epsos-org:ep:medication", type = JAXBElement.class)
		})
		@XmlMixed
	public List<java.io.Serializable> mixed;
	/**
	 *                       A boolean value specifying whether
	                            the order of the                      address parts is known or not.
	                            While the address parts                      are always a Sequence, the
	                            order in which they are                      presented may or may not be
	                            known. Where this matters, the                      isNotOrdered
	                            property can be used to convey this                      information.
	                        .
	 */
	@XmlAttribute(name = "isNotOrdered")
	public java.lang.Boolean isNotOrdered;
	/**
	 *                       A set of codes advising a system or
	                            user which address                      in a set of like addresses to
	                            select for a given purpose.                   .
	 */
	@XmlAttribute(name = "use")
	public java.lang.String use;
	
	/**
	 * An attribute containing marshalled element node
	 */
	@XmlTransient
	private org.w3c.dom.Node _xmlNodePresentation;
	
	
	/**
	 * Return mixed.
	 * @return mixed
	 */
	public List<java.io.Serializable> getMixed() {
		if (mixed == null) {
	        mixed = new ArrayList<java.io.Serializable>();
	    }
	    return mixed;
	}
	
	/**
	 * Set a value to attribute mixed.
	 * @param mixed.
	 */
	public void setMixed(List<java.io.Serializable> mixed) {
	    this.mixed = mixed;
	}
	
	
	
	/**
	 * Add a mixed to the mixed collection.
	 * @param mixed_elt Element to add.
	 */
	public void addMixed(java.io.Serializable mixed_elt) {
	    this.mixed.add(mixed_elt);
	}
	
	/**
	 * Remove a mixed to the mixed collection.
	 * @param mixed_elt Element to remove
	 */
	public void removeMixed(java.io.Serializable mixed_elt) {
	    this.mixed.remove(mixed_elt);
	}
	
	
	/**
	 * Return delimiter.
	 * @return delimiter
	 */
	public List<net.ihe.gazelle.medication.AdxpDelimiter> getDelimiter() {
		List<net.ihe.gazelle.medication.AdxpDelimiter> delimiter_el = new ArrayList<net.ihe.gazelle.medication.AdxpDelimiter>();
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("delimiter")){
					delimiter_el.add( (net.ihe.gazelle.medication.AdxpDelimiter) ((javax.xml.bind.JAXBElement<?>)obj).getValue() );
				}
			}
		} 

	    return delimiter_el;
	}
	
	public void addDelimiter(net.ihe.gazelle.medication.AdxpDelimiter obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication.AdxpDelimiter> jobj = of.createADDelimiter(obj);
		this.getMixed().add(jobj);
	}
	
	
	/**
	 * Return country.
	 * @return country
	 */
	public List<net.ihe.gazelle.medication.AdxpCountry> getCountry() {
		List<net.ihe.gazelle.medication.AdxpCountry> country_el = new ArrayList<net.ihe.gazelle.medication.AdxpCountry>();
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("country")){
					country_el.add( (net.ihe.gazelle.medication.AdxpCountry) ((javax.xml.bind.JAXBElement<?>)obj).getValue() );
				}
			}
		} 

	    return country_el;
	}
	
	public void addCountry(net.ihe.gazelle.medication.AdxpCountry obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication.AdxpCountry> jobj = of.createADCountry(obj);
		this.getMixed().add(jobj);
	}
	
	
	/**
	 * Return state.
	 * @return state
	 */
	public List<net.ihe.gazelle.medication.AdxpState> getState() {
		List<net.ihe.gazelle.medication.AdxpState> state_el = new ArrayList<net.ihe.gazelle.medication.AdxpState>();
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("state")){
					state_el.add( (net.ihe.gazelle.medication.AdxpState) ((javax.xml.bind.JAXBElement<?>)obj).getValue() );
				}
			}
		} 

	    return state_el;
	}
	
	public void addState(net.ihe.gazelle.medication.AdxpState obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication.AdxpState> jobj = of.createADState(obj);
		this.getMixed().add(jobj);
	}
	
	
	/**
	 * Return county.
	 * @return county
	 */
	public List<net.ihe.gazelle.medication.AdxpCounty> getCounty() {
		List<net.ihe.gazelle.medication.AdxpCounty> county_el = new ArrayList<net.ihe.gazelle.medication.AdxpCounty>();
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("county")){
					county_el.add( (net.ihe.gazelle.medication.AdxpCounty) ((javax.xml.bind.JAXBElement<?>)obj).getValue() );
				}
			}
		} 

	    return county_el;
	}
	
	public void addCounty(net.ihe.gazelle.medication.AdxpCounty obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication.AdxpCounty> jobj = of.createADCounty(obj);
		this.getMixed().add(jobj);
	}
	
	
	/**
	 * Return city.
	 * @return city
	 */
	public List<net.ihe.gazelle.medication.AdxpCity> getCity() {
		List<net.ihe.gazelle.medication.AdxpCity> city_el = new ArrayList<net.ihe.gazelle.medication.AdxpCity>();
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("city")){
					city_el.add( (net.ihe.gazelle.medication.AdxpCity) ((javax.xml.bind.JAXBElement<?>)obj).getValue() );
				}
			}
		} 

	    return city_el;
	}
	
	public void addCity(net.ihe.gazelle.medication.AdxpCity obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication.AdxpCity> jobj = of.createADCity(obj);
		this.getMixed().add(jobj);
	}
	
	
	/**
	 * Return postalCode.
	 * @return postalCode
	 */
	public List<net.ihe.gazelle.medication.AdxpPostalCode> getPostalCode() {
		List<net.ihe.gazelle.medication.AdxpPostalCode> postalCode_el = new ArrayList<net.ihe.gazelle.medication.AdxpPostalCode>();
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("postalCode")){
					postalCode_el.add( (net.ihe.gazelle.medication.AdxpPostalCode) ((javax.xml.bind.JAXBElement<?>)obj).getValue() );
				}
			}
		} 

	    return postalCode_el;
	}
	
	public void addPostalCode(net.ihe.gazelle.medication.AdxpPostalCode obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication.AdxpPostalCode> jobj = of.createADPostalCode(obj);
		this.getMixed().add(jobj);
	}
	
	
	/**
	 * Return streetAddressLine.
	 * @return streetAddressLine
	 */
	public List<net.ihe.gazelle.medication.AdxpStreetAddressLine> getStreetAddressLine() {
		List<net.ihe.gazelle.medication.AdxpStreetAddressLine> streetAddressLine_el = new ArrayList<net.ihe.gazelle.medication.AdxpStreetAddressLine>();
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("streetAddressLine")){
					streetAddressLine_el.add( (net.ihe.gazelle.medication.AdxpStreetAddressLine) ((javax.xml.bind.JAXBElement<?>)obj).getValue() );
				}
			}
		} 

	    return streetAddressLine_el;
	}
	
	public void addStreetAddressLine(net.ihe.gazelle.medication.AdxpStreetAddressLine obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication.AdxpStreetAddressLine> jobj = of.createADStreetAddressLine(obj);
		this.getMixed().add(jobj);
	}
	
	
	/**
	 * Return houseNumber.
	 * @return houseNumber
	 */
	public List<net.ihe.gazelle.medication.AdxpHouseNumber> getHouseNumber() {
		List<net.ihe.gazelle.medication.AdxpHouseNumber> houseNumber_el = new ArrayList<net.ihe.gazelle.medication.AdxpHouseNumber>();
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("houseNumber")){
					houseNumber_el.add( (net.ihe.gazelle.medication.AdxpHouseNumber) ((javax.xml.bind.JAXBElement<?>)obj).getValue() );
				}
			}
		} 

	    return houseNumber_el;
	}
	
	public void addHouseNumber(net.ihe.gazelle.medication.AdxpHouseNumber obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication.AdxpHouseNumber> jobj = of.createADHouseNumber(obj);
		this.getMixed().add(jobj);
	}
	
	
	/**
	 * Return houseNumberNumeric.
	 * @return houseNumberNumeric
	 */
	public List<net.ihe.gazelle.medication.AdxpHouseNumberNumeric> getHouseNumberNumeric() {
		List<net.ihe.gazelle.medication.AdxpHouseNumberNumeric> houseNumberNumeric_el = new ArrayList<net.ihe.gazelle.medication.AdxpHouseNumberNumeric>();
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("houseNumberNumeric")){
					houseNumberNumeric_el.add( (net.ihe.gazelle.medication.AdxpHouseNumberNumeric) ((javax.xml.bind.JAXBElement<?>)obj).getValue() );
				}
			}
		} 

	    return houseNumberNumeric_el;
	}
	
	public void addHouseNumberNumeric(net.ihe.gazelle.medication.AdxpHouseNumberNumeric obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication.AdxpHouseNumberNumeric> jobj = of.createADHouseNumberNumeric(obj);
		this.getMixed().add(jobj);
	}
	
	
	/**
	 * Return direction.
	 * @return direction
	 */
	public List<net.ihe.gazelle.medication.AdxpDirection> getDirection() {
		List<net.ihe.gazelle.medication.AdxpDirection> direction_el = new ArrayList<net.ihe.gazelle.medication.AdxpDirection>();
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("direction")){
					direction_el.add( (net.ihe.gazelle.medication.AdxpDirection) ((javax.xml.bind.JAXBElement<?>)obj).getValue() );
				}
			}
		} 

	    return direction_el;
	}
	
	public void addDirection(net.ihe.gazelle.medication.AdxpDirection obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication.AdxpDirection> jobj = of.createADDirection(obj);
		this.getMixed().add(jobj);
	}
	
	
	/**
	 * Return streetName.
	 * @return streetName
	 */
	public List<net.ihe.gazelle.medication.AdxpStreetName> getStreetName() {
		List<net.ihe.gazelle.medication.AdxpStreetName> streetName_el = new ArrayList<net.ihe.gazelle.medication.AdxpStreetName>();
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("streetName")){
					streetName_el.add( (net.ihe.gazelle.medication.AdxpStreetName) ((javax.xml.bind.JAXBElement<?>)obj).getValue() );
				}
			}
		} 

	    return streetName_el;
	}
	
	public void addStreetName(net.ihe.gazelle.medication.AdxpStreetName obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication.AdxpStreetName> jobj = of.createADStreetName(obj);
		this.getMixed().add(jobj);
	}
	
	
	/**
	 * Return streetNameBase.
	 * @return streetNameBase
	 */
	public List<net.ihe.gazelle.medication.AdxpStreetNameBase> getStreetNameBase() {
		List<net.ihe.gazelle.medication.AdxpStreetNameBase> streetNameBase_el = new ArrayList<net.ihe.gazelle.medication.AdxpStreetNameBase>();
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("streetNameBase")){
					streetNameBase_el.add( (net.ihe.gazelle.medication.AdxpStreetNameBase) ((javax.xml.bind.JAXBElement<?>)obj).getValue() );
				}
			}
		} 

	    return streetNameBase_el;
	}
	
	public void addStreetNameBase(net.ihe.gazelle.medication.AdxpStreetNameBase obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication.AdxpStreetNameBase> jobj = of.createADStreetNameBase(obj);
		this.getMixed().add(jobj);
	}
	
	
	/**
	 * Return streetNameType.
	 * @return streetNameType
	 */
	public List<net.ihe.gazelle.medication.AdxpStreetNameType> getStreetNameType() {
		List<net.ihe.gazelle.medication.AdxpStreetNameType> streetNameType_el = new ArrayList<net.ihe.gazelle.medication.AdxpStreetNameType>();
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("streetNameType")){
					streetNameType_el.add( (net.ihe.gazelle.medication.AdxpStreetNameType) ((javax.xml.bind.JAXBElement<?>)obj).getValue() );
				}
			}
		} 

	    return streetNameType_el;
	}
	
	public void addStreetNameType(net.ihe.gazelle.medication.AdxpStreetNameType obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication.AdxpStreetNameType> jobj = of.createADStreetNameType(obj);
		this.getMixed().add(jobj);
	}
	
	
	/**
	 * Return additionalLocator.
	 * @return additionalLocator
	 */
	public List<net.ihe.gazelle.medication.AdxpAdditionalLocator> getAdditionalLocator() {
		List<net.ihe.gazelle.medication.AdxpAdditionalLocator> additionalLocator_el = new ArrayList<net.ihe.gazelle.medication.AdxpAdditionalLocator>();
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("additionalLocator")){
					additionalLocator_el.add( (net.ihe.gazelle.medication.AdxpAdditionalLocator) ((javax.xml.bind.JAXBElement<?>)obj).getValue() );
				}
			}
		} 

	    return additionalLocator_el;
	}
	
	public void addAdditionalLocator(net.ihe.gazelle.medication.AdxpAdditionalLocator obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication.AdxpAdditionalLocator> jobj = of.createADAdditionalLocator(obj);
		this.getMixed().add(jobj);
	}
	
	
	/**
	 * Return unitID.
	 * @return unitID
	 */
	public List<net.ihe.gazelle.medication.AdxpUnitID> getUnitID() {
		List<net.ihe.gazelle.medication.AdxpUnitID> unitID_el = new ArrayList<net.ihe.gazelle.medication.AdxpUnitID>();
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("unitID")){
					unitID_el.add( (net.ihe.gazelle.medication.AdxpUnitID) ((javax.xml.bind.JAXBElement<?>)obj).getValue() );
				}
			}
		} 

	    return unitID_el;
	}
	
	public void addUnitID(net.ihe.gazelle.medication.AdxpUnitID obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication.AdxpUnitID> jobj = of.createADUnitID(obj);
		this.getMixed().add(jobj);
	}
	
	
	/**
	 * Return unitType.
	 * @return unitType
	 */
	public List<net.ihe.gazelle.medication.AdxpUnitType> getUnitType() {
		List<net.ihe.gazelle.medication.AdxpUnitType> unitType_el = new ArrayList<net.ihe.gazelle.medication.AdxpUnitType>();
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("unitType")){
					unitType_el.add( (net.ihe.gazelle.medication.AdxpUnitType) ((javax.xml.bind.JAXBElement<?>)obj).getValue() );
				}
			}
		} 

	    return unitType_el;
	}
	
	public void addUnitType(net.ihe.gazelle.medication.AdxpUnitType obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication.AdxpUnitType> jobj = of.createADUnitType(obj);
		this.getMixed().add(jobj);
	}
	
	
	/**
	 * Return careOf.
	 * @return careOf
	 */
	public List<net.ihe.gazelle.medication.AdxpCareOf> getCareOf() {
		List<net.ihe.gazelle.medication.AdxpCareOf> careOf_el = new ArrayList<net.ihe.gazelle.medication.AdxpCareOf>();
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("careOf")){
					careOf_el.add( (net.ihe.gazelle.medication.AdxpCareOf) ((javax.xml.bind.JAXBElement<?>)obj).getValue() );
				}
			}
		} 

	    return careOf_el;
	}
	
	public void addCareOf(net.ihe.gazelle.medication.AdxpCareOf obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication.AdxpCareOf> jobj = of.createADCareOf(obj);
		this.getMixed().add(jobj);
	}
	
	
	/**
	 * Return censusTract.
	 * @return censusTract
	 */
	public List<net.ihe.gazelle.medication.AdxpCensusTract> getCensusTract() {
		List<net.ihe.gazelle.medication.AdxpCensusTract> censusTract_el = new ArrayList<net.ihe.gazelle.medication.AdxpCensusTract>();
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("censusTract")){
					censusTract_el.add( (net.ihe.gazelle.medication.AdxpCensusTract) ((javax.xml.bind.JAXBElement<?>)obj).getValue() );
				}
			}
		} 

	    return censusTract_el;
	}
	
	public void addCensusTract(net.ihe.gazelle.medication.AdxpCensusTract obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication.AdxpCensusTract> jobj = of.createADCensusTract(obj);
		this.getMixed().add(jobj);
	}
	
	
	/**
	 * Return deliveryAddressLine.
	 * @return deliveryAddressLine
	 */
	public List<net.ihe.gazelle.medication.AdxpDeliveryAddressLine> getDeliveryAddressLine() {
		List<net.ihe.gazelle.medication.AdxpDeliveryAddressLine> deliveryAddressLine_el = new ArrayList<net.ihe.gazelle.medication.AdxpDeliveryAddressLine>();
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("deliveryAddressLine")){
					deliveryAddressLine_el.add( (net.ihe.gazelle.medication.AdxpDeliveryAddressLine) ((javax.xml.bind.JAXBElement<?>)obj).getValue() );
				}
			}
		} 

	    return deliveryAddressLine_el;
	}
	
	public void addDeliveryAddressLine(net.ihe.gazelle.medication.AdxpDeliveryAddressLine obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication.AdxpDeliveryAddressLine> jobj = of.createADDeliveryAddressLine(obj);
		this.getMixed().add(jobj);
	}
	
	
	/**
	 * Return deliveryInstallationType.
	 * @return deliveryInstallationType
	 */
	public List<net.ihe.gazelle.medication.AdxpDeliveryInstallationType> getDeliveryInstallationType() {
		List<net.ihe.gazelle.medication.AdxpDeliveryInstallationType> deliveryInstallationType_el = new ArrayList<net.ihe.gazelle.medication.AdxpDeliveryInstallationType>();
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("deliveryInstallationType")){
					deliveryInstallationType_el.add( (net.ihe.gazelle.medication.AdxpDeliveryInstallationType) ((javax.xml.bind.JAXBElement<?>)obj).getValue() );
				}
			}
		} 

	    return deliveryInstallationType_el;
	}
	
	public void addDeliveryInstallationType(net.ihe.gazelle.medication.AdxpDeliveryInstallationType obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication.AdxpDeliveryInstallationType> jobj = of.createADDeliveryInstallationType(obj);
		this.getMixed().add(jobj);
	}
	
	
	/**
	 * Return deliveryInstallationArea.
	 * @return deliveryInstallationArea
	 */
	public List<net.ihe.gazelle.medication.AdxpDeliveryInstallationArea> getDeliveryInstallationArea() {
		List<net.ihe.gazelle.medication.AdxpDeliveryInstallationArea> deliveryInstallationArea_el = new ArrayList<net.ihe.gazelle.medication.AdxpDeliveryInstallationArea>();
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("deliveryInstallationArea")){
					deliveryInstallationArea_el.add( (net.ihe.gazelle.medication.AdxpDeliveryInstallationArea) ((javax.xml.bind.JAXBElement<?>)obj).getValue() );
				}
			}
		} 

	    return deliveryInstallationArea_el;
	}
	
	public void addDeliveryInstallationArea(net.ihe.gazelle.medication.AdxpDeliveryInstallationArea obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication.AdxpDeliveryInstallationArea> jobj = of.createADDeliveryInstallationArea(obj);
		this.getMixed().add(jobj);
	}
	
	
	/**
	 * Return deliveryInstallationQualifier.
	 * @return deliveryInstallationQualifier
	 */
	public List<net.ihe.gazelle.medication.AdxpDeliveryInstallationQualifier> getDeliveryInstallationQualifier() {
		List<net.ihe.gazelle.medication.AdxpDeliveryInstallationQualifier> deliveryInstallationQualifier_el = new ArrayList<net.ihe.gazelle.medication.AdxpDeliveryInstallationQualifier>();
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("deliveryInstallationQualifier")){
					deliveryInstallationQualifier_el.add( (net.ihe.gazelle.medication.AdxpDeliveryInstallationQualifier) ((javax.xml.bind.JAXBElement<?>)obj).getValue() );
				}
			}
		} 

	    return deliveryInstallationQualifier_el;
	}
	
	public void addDeliveryInstallationQualifier(net.ihe.gazelle.medication.AdxpDeliveryInstallationQualifier obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication.AdxpDeliveryInstallationQualifier> jobj = of.createADDeliveryInstallationQualifier(obj);
		this.getMixed().add(jobj);
	}
	
	
	/**
	 * Return deliveryMode.
	 * @return deliveryMode
	 */
	public List<net.ihe.gazelle.medication.AdxpDeliveryMode> getDeliveryMode() {
		List<net.ihe.gazelle.medication.AdxpDeliveryMode> deliveryMode_el = new ArrayList<net.ihe.gazelle.medication.AdxpDeliveryMode>();
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("deliveryMode")){
					deliveryMode_el.add( (net.ihe.gazelle.medication.AdxpDeliveryMode) ((javax.xml.bind.JAXBElement<?>)obj).getValue() );
				}
			}
		} 

	    return deliveryMode_el;
	}
	
	public void addDeliveryMode(net.ihe.gazelle.medication.AdxpDeliveryMode obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication.AdxpDeliveryMode> jobj = of.createADDeliveryMode(obj);
		this.getMixed().add(jobj);
	}
	
	
	/**
	 * Return deliveryModeIdentifier.
	 * @return deliveryModeIdentifier
	 */
	public List<net.ihe.gazelle.medication.AdxpDeliveryModeIdentifier> getDeliveryModeIdentifier() {
		List<net.ihe.gazelle.medication.AdxpDeliveryModeIdentifier> deliveryModeIdentifier_el = new ArrayList<net.ihe.gazelle.medication.AdxpDeliveryModeIdentifier>();
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("deliveryModeIdentifier")){
					deliveryModeIdentifier_el.add( (net.ihe.gazelle.medication.AdxpDeliveryModeIdentifier) ((javax.xml.bind.JAXBElement<?>)obj).getValue() );
				}
			}
		} 

	    return deliveryModeIdentifier_el;
	}
	
	public void addDeliveryModeIdentifier(net.ihe.gazelle.medication.AdxpDeliveryModeIdentifier obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication.AdxpDeliveryModeIdentifier> jobj = of.createADDeliveryModeIdentifier(obj);
		this.getMixed().add(jobj);
	}
	
	
	/**
	 * Return buildingNumberSuffix.
	 * @return buildingNumberSuffix
	 */
	public List<net.ihe.gazelle.medication.AdxpBuildingNumberSuffix> getBuildingNumberSuffix() {
		List<net.ihe.gazelle.medication.AdxpBuildingNumberSuffix> buildingNumberSuffix_el = new ArrayList<net.ihe.gazelle.medication.AdxpBuildingNumberSuffix>();
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("buildingNumberSuffix")){
					buildingNumberSuffix_el.add( (net.ihe.gazelle.medication.AdxpBuildingNumberSuffix) ((javax.xml.bind.JAXBElement<?>)obj).getValue() );
				}
			}
		} 

	    return buildingNumberSuffix_el;
	}
	
	public void addBuildingNumberSuffix(net.ihe.gazelle.medication.AdxpBuildingNumberSuffix obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication.AdxpBuildingNumberSuffix> jobj = of.createADBuildingNumberSuffix(obj);
		this.getMixed().add(jobj);
	}
	
	
	/**
	 * Return postBox.
	 * @return postBox
	 */
	public List<net.ihe.gazelle.medication.AdxpPostBox> getPostBox() {
		List<net.ihe.gazelle.medication.AdxpPostBox> postBox_el = new ArrayList<net.ihe.gazelle.medication.AdxpPostBox>();
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("postBox")){
					postBox_el.add( (net.ihe.gazelle.medication.AdxpPostBox) ((javax.xml.bind.JAXBElement<?>)obj).getValue() );
				}
			}
		} 

	    return postBox_el;
	}
	
	public void addPostBox(net.ihe.gazelle.medication.AdxpPostBox obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication.AdxpPostBox> jobj = of.createADPostBox(obj);
		this.getMixed().add(jobj);
	}
	
	
	/**
	 * Return precinct.
	 * @return precinct
	 */
	public List<net.ihe.gazelle.medication.AdxpPrecinct> getPrecinct() {
		List<net.ihe.gazelle.medication.AdxpPrecinct> precinct_el = new ArrayList<net.ihe.gazelle.medication.AdxpPrecinct>();
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("precinct")){
					precinct_el.add( (net.ihe.gazelle.medication.AdxpPrecinct) ((javax.xml.bind.JAXBElement<?>)obj).getValue() );
				}
			}
		} 

	    return precinct_el;
	}
	
	public void addPrecinct(net.ihe.gazelle.medication.AdxpPrecinct obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication.AdxpPrecinct> jobj = of.createADPrecinct(obj);
		this.getMixed().add(jobj);
	}
	
	
	/**
	 * Return useablePeriod.
	 * @return useablePeriod
	 */
	public List<net.ihe.gazelle.medication.SXCMTS> getUseablePeriod() {
		List<net.ihe.gazelle.medication.SXCMTS> useablePeriod_el = new ArrayList<net.ihe.gazelle.medication.SXCMTS>();
			for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof javax.xml.bind.JAXBElement){
				if (((javax.xml.bind.JAXBElement<?>)obj).getName().getLocalPart().equals("useablePeriod")){
					useablePeriod_el.add( (net.ihe.gazelle.medication.SXCMTS) ((javax.xml.bind.JAXBElement<?>)obj).getValue() );
				}
			}
		} 

	    return useablePeriod_el;
	}
	
	public void addUseablePeriod(net.ihe.gazelle.medication.SXCMTS obj){
		ObjectFactory of = new ObjectFactory();
		JAXBElement<net.ihe.gazelle.medication.SXCMTS> jobj = of.createADUseablePeriod(obj);
		this.getMixed().add(jobj);
	}
	
	
	/**
	 * Return isNotOrdered.
	 * @return isNotOrdered :                       A boolean value specifying whether
	                            the order of the                      address parts is known or not.
	                            While the address parts                      are always a Sequence, the
	                            order in which they are                      presented may or may not be
	                            known. Where this matters, the                      isNotOrdered
	                            property can be used to convey this                      information.
	                                              A boolean value specifying whether
	                            the order of the                      address parts is known or not.
	                            While the address parts                      are always a Sequence, the
	                            order in which they are                      presented may or may not be
	                            known. Where this matters, the                      isNotOrdered
	                            property can be used to convey this                      information.
	                                              A boolean value specifying whether
	                            the order of the                      address parts is known or not.
	                            While the address parts                      are always a Sequence, the
	                            order in which they are                      presented may or may not be
	                            known. Where this matters, the                      isNotOrdered
	                            property can be used to convey this                      information.
	                                              A boolean value specifying whether
	                            the order of the                      address parts is known or not.
	                            While the address parts                      are always a Sequence, the
	                            order in which they are                      presented may or may not be
	                            known. Where this matters, the                      isNotOrdered
	                            property can be used to convey this                      information.
	                                              A boolean value specifying whether
	                            the order of the                      address parts is known or not.
	                            While the address parts                      are always a Sequence, the
	                            order in which they are                      presented may or may not be
	                            known. Where this matters, the                      isNotOrdered
	                            property can be used to convey this                      information.
	                                              A boolean value specifying whether
	                            the order of the                      address parts is known or not.
	                            While the address parts                      are always a Sequence, the
	                            order in which they are                      presented may or may not be
	                            known. Where this matters, the                      isNotOrdered
	                            property can be used to convey this                      information.
	                                              A boolean value specifying whether
	                            the order of the                      address parts is known or not.
	                            While the address parts                      are always a Sequence, the
	                            order in which they are                      presented may or may not be
	                            known. Where this matters, the                      isNotOrdered
	                            property can be used to convey this                      information.
	                        
	 */
	public java.lang.Boolean getIsNotOrdered() {
	    return isNotOrdered;
	}
	
	/**
	 * Set a value to attribute isNotOrdered.
	 * @param isNotOrdered :                       A boolean value specifying whether
	                            the order of the                      address parts is known or not.
	                            While the address parts                      are always a Sequence, the
	                            order in which they are                      presented may or may not be
	                            known. Where this matters, the                      isNotOrdered
	                            property can be used to convey this                      information.
	                                              A boolean value specifying whether
	                            the order of the                      address parts is known or not.
	                            While the address parts                      are always a Sequence, the
	                            order in which they are                      presented may or may not be
	                            known. Where this matters, the                      isNotOrdered
	                            property can be used to convey this                      information.
	                                              A boolean value specifying whether
	                            the order of the                      address parts is known or not.
	                            While the address parts                      are always a Sequence, the
	                            order in which they are                      presented may or may not be
	                            known. Where this matters, the                      isNotOrdered
	                            property can be used to convey this                      information.
	                                              A boolean value specifying whether
	                            the order of the                      address parts is known or not.
	                            While the address parts                      are always a Sequence, the
	                            order in which they are                      presented may or may not be
	                            known. Where this matters, the                      isNotOrdered
	                            property can be used to convey this                      information.
	                                              A boolean value specifying whether
	                            the order of the                      address parts is known or not.
	                            While the address parts                      are always a Sequence, the
	                            order in which they are                      presented may or may not be
	                            known. Where this matters, the                      isNotOrdered
	                            property can be used to convey this                      information.
	                                              A boolean value specifying whether
	                            the order of the                      address parts is known or not.
	                            While the address parts                      are always a Sequence, the
	                            order in which they are                      presented may or may not be
	                            known. Where this matters, the                      isNotOrdered
	                            property can be used to convey this                      information.
	                                              A boolean value specifying whether
	                            the order of the                      address parts is known or not.
	                            While the address parts                      are always a Sequence, the
	                            order in which they are                      presented may or may not be
	                            known. Where this matters, the                      isNotOrdered
	                            property can be used to convey this                      information.
	                        .
	 */
	public void setIsNotOrdered(java.lang.Boolean isNotOrdered) {
	    this.isNotOrdered = isNotOrdered;
	}
	
	
	
	
	/**
	 * Return use.
	 * @return use :                       A set of codes advising a system or
	                            user which address                      in a set of like addresses to
	                            select for a given purpose.                                         A set of codes advising a system or
	                            user which address                      in a set of like addresses to
	                            select for a given purpose.                                         A set of codes advising a system or
	                            user which address                      in a set of like addresses to
	                            select for a given purpose.                                         A set of codes advising a system or
	                            user which address                      in a set of like addresses to
	                            select for a given purpose.                                         A set of codes advising a system or
	                            user which address                      in a set of like addresses to
	                            select for a given purpose.                                         A set of codes advising a system or
	                            user which address                      in a set of like addresses to
	                            select for a given purpose.                                         A set of codes advising a system or
	                            user which address                      in a set of like addresses to
	                            select for a given purpose.                   
	 */
	public java.lang.String getUse() {
	    return use;
	}
	
	/**
	 * Set a value to attribute use.
	 * @param use :                       A set of codes advising a system or
	                            user which address                      in a set of like addresses to
	                            select for a given purpose.                                         A set of codes advising a system or
	                            user which address                      in a set of like addresses to
	                            select for a given purpose.                                         A set of codes advising a system or
	                            user which address                      in a set of like addresses to
	                            select for a given purpose.                                         A set of codes advising a system or
	                            user which address                      in a set of like addresses to
	                            select for a given purpose.                                         A set of codes advising a system or
	                            user which address                      in a set of like addresses to
	                            select for a given purpose.                                         A set of codes advising a system or
	                            user which address                      in a set of like addresses to
	                            select for a given purpose.                                         A set of codes advising a system or
	                            user which address                      in a set of like addresses to
	                            select for a given purpose.                   .
	 */
	public void setUse(java.lang.String use) {
	    this.use = use;
	}
	
	
	
	
	
	public Node get_xmlNodePresentation() {
		if (_xmlNodePresentation == null){
				JAXBContext jc;
				DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
				dbf.setNamespaceAware(true);
				DocumentBuilder db = null;
				Document doc = null;
				try {
					db = dbf.newDocumentBuilder();
					doc = db.newDocument();
				} catch (ParserConfigurationException e1) {}
				try {
					jc = JAXBContext.newInstance("net.ihe.gazelle.medication");
					Marshaller m = jc.createMarshaller();
					m.marshal(this, doc);
					_xmlNodePresentation = doc.getElementsByTagNameNS("urn:epsos-org:ep:medication", "AD").item(0);
				} catch (JAXBException e) {
					try{
						db = dbf.newDocumentBuilder();
						_xmlNodePresentation = db.newDocument();
					}
					catch(Exception ee){}
				}
			}
			return _xmlNodePresentation;
	}
	
	public void set_xmlNodePresentation(Node _xmlNodePresentation) {
		this._xmlNodePresentation = _xmlNodePresentation;
	}
	
	
	public List<String> getListStringValues(){
		List<String> res = new ArrayList<String>();
		for(java.io.Serializable obj : this.getMixed()){
			if (obj instanceof String){
				res.add((String)obj);
			}
		} 
		return res;
	}
	

	
	/**
     * validate by a module of validation
     * 
     */
   public static void validateByModule(AD aD, String location, ConstraintValidatorModule cvm, List<net.ihe.gazelle.validation.Notification> diagnostic){
   		if (aD != null){
   			net.ihe.gazelle.medication.ANY.validateByModule(aD, location, cvm, diagnostic);
			{
				int i = 0;
				for (net.ihe.gazelle.medication.AdxpDelimiter delimiter: aD.getDelimiter()){
					net.ihe.gazelle.medication.AdxpDelimiter.validateByModule(delimiter, location + "/delimiter[" + i + "]", cvm, diagnostic);
					i++;
				}
			}
			
			{
				int i = 0;
				for (net.ihe.gazelle.medication.AdxpCountry country: aD.getCountry()){
					net.ihe.gazelle.medication.AdxpCountry.validateByModule(country, location + "/country[" + i + "]", cvm, diagnostic);
					i++;
				}
			}
			
			{
				int i = 0;
				for (net.ihe.gazelle.medication.AdxpState state: aD.getState()){
					net.ihe.gazelle.medication.AdxpState.validateByModule(state, location + "/state[" + i + "]", cvm, diagnostic);
					i++;
				}
			}
			
			{
				int i = 0;
				for (net.ihe.gazelle.medication.AdxpCounty county: aD.getCounty()){
					net.ihe.gazelle.medication.AdxpCounty.validateByModule(county, location + "/county[" + i + "]", cvm, diagnostic);
					i++;
				}
			}
			
			{
				int i = 0;
				for (net.ihe.gazelle.medication.AdxpCity city: aD.getCity()){
					net.ihe.gazelle.medication.AdxpCity.validateByModule(city, location + "/city[" + i + "]", cvm, diagnostic);
					i++;
				}
			}
			
			{
				int i = 0;
				for (net.ihe.gazelle.medication.AdxpPostalCode postalCode: aD.getPostalCode()){
					net.ihe.gazelle.medication.AdxpPostalCode.validateByModule(postalCode, location + "/postalCode[" + i + "]", cvm, diagnostic);
					i++;
				}
			}
			
			{
				int i = 0;
				for (net.ihe.gazelle.medication.AdxpStreetAddressLine streetAddressLine: aD.getStreetAddressLine()){
					net.ihe.gazelle.medication.AdxpStreetAddressLine.validateByModule(streetAddressLine, location + "/streetAddressLine[" + i + "]", cvm, diagnostic);
					i++;
				}
			}
			
			{
				int i = 0;
				for (net.ihe.gazelle.medication.AdxpHouseNumber houseNumber: aD.getHouseNumber()){
					net.ihe.gazelle.medication.AdxpHouseNumber.validateByModule(houseNumber, location + "/houseNumber[" + i + "]", cvm, diagnostic);
					i++;
				}
			}
			
			{
				int i = 0;
				for (net.ihe.gazelle.medication.AdxpHouseNumberNumeric houseNumberNumeric: aD.getHouseNumberNumeric()){
					net.ihe.gazelle.medication.AdxpHouseNumberNumeric.validateByModule(houseNumberNumeric, location + "/houseNumberNumeric[" + i + "]", cvm, diagnostic);
					i++;
				}
			}
			
			{
				int i = 0;
				for (net.ihe.gazelle.medication.AdxpDirection direction: aD.getDirection()){
					net.ihe.gazelle.medication.AdxpDirection.validateByModule(direction, location + "/direction[" + i + "]", cvm, diagnostic);
					i++;
				}
			}
			
			{
				int i = 0;
				for (net.ihe.gazelle.medication.AdxpStreetName streetName: aD.getStreetName()){
					net.ihe.gazelle.medication.AdxpStreetName.validateByModule(streetName, location + "/streetName[" + i + "]", cvm, diagnostic);
					i++;
				}
			}
			
			{
				int i = 0;
				for (net.ihe.gazelle.medication.AdxpStreetNameBase streetNameBase: aD.getStreetNameBase()){
					net.ihe.gazelle.medication.AdxpStreetNameBase.validateByModule(streetNameBase, location + "/streetNameBase[" + i + "]", cvm, diagnostic);
					i++;
				}
			}
			
			{
				int i = 0;
				for (net.ihe.gazelle.medication.AdxpStreetNameType streetNameType: aD.getStreetNameType()){
					net.ihe.gazelle.medication.AdxpStreetNameType.validateByModule(streetNameType, location + "/streetNameType[" + i + "]", cvm, diagnostic);
					i++;
				}
			}
			
			{
				int i = 0;
				for (net.ihe.gazelle.medication.AdxpAdditionalLocator additionalLocator: aD.getAdditionalLocator()){
					net.ihe.gazelle.medication.AdxpAdditionalLocator.validateByModule(additionalLocator, location + "/additionalLocator[" + i + "]", cvm, diagnostic);
					i++;
				}
			}
			
			{
				int i = 0;
				for (net.ihe.gazelle.medication.AdxpUnitID unitID: aD.getUnitID()){
					net.ihe.gazelle.medication.AdxpUnitID.validateByModule(unitID, location + "/unitID[" + i + "]", cvm, diagnostic);
					i++;
				}
			}
			
			{
				int i = 0;
				for (net.ihe.gazelle.medication.AdxpUnitType unitType: aD.getUnitType()){
					net.ihe.gazelle.medication.AdxpUnitType.validateByModule(unitType, location + "/unitType[" + i + "]", cvm, diagnostic);
					i++;
				}
			}
			
			{
				int i = 0;
				for (net.ihe.gazelle.medication.AdxpCareOf careOf: aD.getCareOf()){
					net.ihe.gazelle.medication.AdxpCareOf.validateByModule(careOf, location + "/careOf[" + i + "]", cvm, diagnostic);
					i++;
				}
			}
			
			{
				int i = 0;
				for (net.ihe.gazelle.medication.AdxpCensusTract censusTract: aD.getCensusTract()){
					net.ihe.gazelle.medication.AdxpCensusTract.validateByModule(censusTract, location + "/censusTract[" + i + "]", cvm, diagnostic);
					i++;
				}
			}
			
			{
				int i = 0;
				for (net.ihe.gazelle.medication.AdxpDeliveryAddressLine deliveryAddressLine: aD.getDeliveryAddressLine()){
					net.ihe.gazelle.medication.AdxpDeliveryAddressLine.validateByModule(deliveryAddressLine, location + "/deliveryAddressLine[" + i + "]", cvm, diagnostic);
					i++;
				}
			}
			
			{
				int i = 0;
				for (net.ihe.gazelle.medication.AdxpDeliveryInstallationType deliveryInstallationType: aD.getDeliveryInstallationType()){
					net.ihe.gazelle.medication.AdxpDeliveryInstallationType.validateByModule(deliveryInstallationType, location + "/deliveryInstallationType[" + i + "]", cvm, diagnostic);
					i++;
				}
			}
			
			{
				int i = 0;
				for (net.ihe.gazelle.medication.AdxpDeliveryInstallationArea deliveryInstallationArea: aD.getDeliveryInstallationArea()){
					net.ihe.gazelle.medication.AdxpDeliveryInstallationArea.validateByModule(deliveryInstallationArea, location + "/deliveryInstallationArea[" + i + "]", cvm, diagnostic);
					i++;
				}
			}
			
			{
				int i = 0;
				for (net.ihe.gazelle.medication.AdxpDeliveryInstallationQualifier deliveryInstallationQualifier: aD.getDeliveryInstallationQualifier()){
					net.ihe.gazelle.medication.AdxpDeliveryInstallationQualifier.validateByModule(deliveryInstallationQualifier, location + "/deliveryInstallationQualifier[" + i + "]", cvm, diagnostic);
					i++;
				}
			}
			
			{
				int i = 0;
				for (net.ihe.gazelle.medication.AdxpDeliveryMode deliveryMode: aD.getDeliveryMode()){
					net.ihe.gazelle.medication.AdxpDeliveryMode.validateByModule(deliveryMode, location + "/deliveryMode[" + i + "]", cvm, diagnostic);
					i++;
				}
			}
			
			{
				int i = 0;
				for (net.ihe.gazelle.medication.AdxpDeliveryModeIdentifier deliveryModeIdentifier: aD.getDeliveryModeIdentifier()){
					net.ihe.gazelle.medication.AdxpDeliveryModeIdentifier.validateByModule(deliveryModeIdentifier, location + "/deliveryModeIdentifier[" + i + "]", cvm, diagnostic);
					i++;
				}
			}
			
			{
				int i = 0;
				for (net.ihe.gazelle.medication.AdxpBuildingNumberSuffix buildingNumberSuffix: aD.getBuildingNumberSuffix()){
					net.ihe.gazelle.medication.AdxpBuildingNumberSuffix.validateByModule(buildingNumberSuffix, location + "/buildingNumberSuffix[" + i + "]", cvm, diagnostic);
					i++;
				}
			}
			
			{
				int i = 0;
				for (net.ihe.gazelle.medication.AdxpPostBox postBox: aD.getPostBox()){
					net.ihe.gazelle.medication.AdxpPostBox.validateByModule(postBox, location + "/postBox[" + i + "]", cvm, diagnostic);
					i++;
				}
			}
			
			{
				int i = 0;
				for (net.ihe.gazelle.medication.AdxpPrecinct precinct: aD.getPrecinct()){
					net.ihe.gazelle.medication.AdxpPrecinct.validateByModule(precinct, location + "/precinct[" + i + "]", cvm, diagnostic);
					i++;
				}
			}
			
			{
				int i = 0;
				for (net.ihe.gazelle.medication.SXCMTS useablePeriod: aD.getUseablePeriod()){
					net.ihe.gazelle.medication.SXCMTS.validateByModule(useablePeriod, location + "/useablePeriod[" + i + "]", cvm, diagnostic);
					i++;
				}
			}
			
    	}
    }

}